import os

main_dir = os.path.abspath(os.path.join(os.path.dirname(__file__), "../"))
tarball_place = "/tmp/apps-brancher/tarballs/"
branch_place  = os.path.join(main_dir, "data/branches")
cache_place = os.path.join(main_dir, "data")
log_place = os.path.join(main_dir, "log")
tarball_suffixes = [ ".zip", ".tar.gz", ".tgz", ".zip", ".tar_1.gz", ".tar.bz2", ".tar" ]

def make_if_necessary(path):
    if not os.path.exists(path):
        os.makedirs(path)
    return path

def get_path(path):
    if path == 'tarballs':
        return make_if_necessary(tarball_place)
    if path == 'branches':
        return make_if_necessary(branch_place)
    if path == 'cache':
        return make_if_necessary(cache_place)
    if path == 'log':
        return make_if_necessary(log_place)
